#!/bin/bash

CUR_PATH=$(
  cd $(dirname "$0");
  pwd
)
ROOT_PATH=$(
  cd "${CUR_PATH}/../";
  pwd
)

function export_entitlements() {
    codesign -d --entitlements - --xml "$1" 2>/dev/null | plutil -convert xml1 -o - - > "$2"
    /usr/libexec/PlistBuddy -c "Delete :com.apple.security.application-groups" "$2" 2>/dev/null
    /usr/libexec/PlistBuddy -c "Delete :com.apple.developer.team-identifier" "$2" 2>/dev/null
    /usr/libexec/PlistBuddy -c "Delete :keychain-access-groups" "$2" 2>/dev/null
    sed -i "" "s/S8EX82NJP6\.//g" "$2"
}

mkdir -p "${ROOT_PATH}/entitlements"

export_entitlements "/Volumes/CleanMyMac X/CleanMyMac X.app" "${ROOT_PATH}/entitlements/CleanMyMac X.entitlements"
export_entitlements "/Volumes/CleanMyMac X/CleanMyMac X.app/Contents/Library/LoginItems/CleanMyMac X HealthMonitor.app" "${ROOT_PATH}/entitlements/CleanMyMac X HealthMonitor.app.entitlements"
export_entitlements "/Volumes/CleanMyMac X/CleanMyMac X.app/Contents/Library/LoginItems/CleanMyMac X Menu.app" "${ROOT_PATH}/entitlements/CleanMyMac X Menu.app.entitlements"
